[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParamTypes

Set of TParamType

## Declaration

Source position: db.pas line 1172

`type TParamTypes = set of (`
`ptUnknown,` |  | Unknown type
`ptInput,` |  | Input parameter
`ptOutput,` |  | Output parameter, filled on result
`ptInputOutput,` |  | Input/output parameter
`ptResult` |  | Result parameter
`);`

## Description

TParamTypes is defined for completeness: a set of TParamType values.

## See also

TParam.ParamType |  | Type of parameter
TParamType |  | Parameter type